lv.pasts.eme.cert

## Class CRLData

- java.lang.Object
- - lv.pasts.eme.cert.CRLData

-     public class CRLData
      extends Object

  `CRLData` class contains CRL and its associated data.
  Since:
    1.4.0
  See Also:
    `CRLManager.getCRLs(X509Certificate)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CRLData(X509CRL crl, URI uri)` Creates a new `CRLData` object with the given CRL and associated URI.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `X509CRL` | `getCRL()` Returns the CRL represented by this `CRLData`.
    `URI` | `getURI()` Returns the URI associated with the CRL represented by this `CRLData`.
    `void` | `setCRL(X509CRL crl)` Sets the CRL to be represented by this `CRLData`.
    `void` | `setURI(URI uri)` Sets the URI to be associated with the CRL represented by this `CRLData`.
    `void` | `writeCRL(OutputStream out)` Write CRL data to the given OutputStream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CRLData

          public CRLData(X509CRL crl,
                         URI uri)

      Creates a new `CRLData` object with the given CRL and associated URI.
      Parameters:
        `crl` - X.509 CRL.
        `uri` - associated URI.

  - ### Method Detail

    - #### getCRL

          public X509CRL getCRL()

      Returns the CRL represented by this `CRLData`.
      Returns:
        the X.509 CRL.

    - #### setCRL

          public void setCRL(X509CRL crl)

      Sets the CRL to be represented by this `CRLData`.
      Parameters:
        `crl` - X.509 CRL.

    - #### getURI

          public URI getURI()

      Returns the URI associated with the CRL represented by this `CRLData`.
      Returns:
        the URI.

    - #### setURI

          public void setURI(URI uri)

      Sets the URI to be associated with the CRL represented by this `CRLData`.
      Parameters:
        `uri` - associated URI.

    - #### writeCRL

          public void writeCRL(OutputStream out)
                        throws IOException

      Write CRL data to the given OutputStream.
      Parameters:
        `out` - an OutputStream where CRL data should be written.
      Throws:
        `IOException` - if CRL data cannot be written.

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO